Page MenuHomePhabricator

Article concatenation not resilient to curl errors
Closed, InvalidPublic

Description

  • After long wait, see the following error:
There were errors while trying to fetch page contents:

Fetching /restbase/local/v1/page/html/Selenium_diff_test_0.03643953972108016/371074 failed: (curl error: no status set)

This can also impact smaller books with slightly different curl error messages:
e.g.

Related Objects

StatusAssignedTask
OpenJKatzWMF
InvalidNone
InvalidNone
Resolvedphuedx
InvalidJdlrobson
ResolvedNone
InvalidJdlrobson
ResolvedJdlrobson
StalledNone
InvalidNone
DuplicateNone
DeclinedNone
InvalidNone
InvalidNone
Resolvedbmansurov
Invalidovasileva
Resolvedovasileva
ResolvedJdlrobson
Resolvedpmiazga
Resolvedovasileva
InvalidNone
Resolvedovasileva
InvalidNone
InvalidNone
Resolved dpatrick

Event Timeline

Jdlrobson removed the point value for this task.
ovasileva renamed this task from [subtask] Article concatenation fails with curl error no status set (cause unknown) to Article concatenation fails with curl error no status set (cause unknown).Oct 12 2017, 5:27 PM
Tgr added a subscriber: Tgr.Oct 12 2017, 8:56 PM

The concatenation code uses parallel fetch via MultiHttpClient, which is not used that much, so maybe something related to that (such as exhausting some kind of connection pool)?

Jdlrobson renamed this task from Article concatenation fails with curl error no status set (cause unknown) to Article concatenation not resilient to curl errors.Oct 13 2017, 5:23 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson changed the task status from Open to Stalled.Oct 30 2017, 11:27 PM

Until we have time to talk through T178095

ovasileva closed this task as Invalid.Apr 9 2018, 2:44 PM

Closing as per T184772#4116906. Pediapress will be taking on rendering of PDF books.